Bug 45496 - exportfs -u does not work in the following scenario
Summary: exportfs -u does not work in the following scenario
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-22 07:59 UTC by aparnakhatri
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-22 14:09:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description aparnakhatri 2001-06-22 07:59:21 UTC
Description of Problem:


How Reproducible:


Steps to Reproduce:
1. exportfs <host1>:<dir> 
2. exportfs <host2>:<dir>
3. exportfs <ip_address_of_host1>:<dir>
4. exportfs -u <host1>:<dir>

Actual Results:
After step 3, all entries for host1 in etab and xtab change to show 
ip_Address instead of fully qualified hostname.
Step 4 fails. Entry is removed from etab, but not xtab.

Expected Results:

After "exportfs -u", entry should have gone from etab and xtab file.
If exportfs replaces hostnames with ip_Address and ip_Addresses with 
hostnames, then exportfs -u, should also be able to work with either.

Additional Information:

Tried exportfs with ip_address, fully quaified domain name and short 
name , but none worked.
If only IP addresses are specified for client name, then everything works 
fine.

Comment 1 Bob Matthews 2001-06-22 15:39:38 UTC
I can not reproduce this problem on a stock 7.1 system.

Comment 2 aparnakhatri 2001-08-22 07:17:21 UTC
Well, I just tried it and I get the same problem.
1. exportfs system1:/tmp
2. exportfs a.b.c.d:/tmp2

where a.b.c.d is ip address of system1.
Now try exportfs -u system1:/tmp - It fails for me.



Note You need to log in before you can comment on or make changes to this bug.